Visual COBOL 7.0 native compile with Net Express runtime

Hi,

I have a trial version of VC 7.0 .Net as we are looking to upgrade from Net Express V5.118 for future development.

So I have managed to compile the existing code to .int using MF"12" compiler directive.

However if I try to run the .int on an environment with a Net Express runtime I get error code '165: Version number incompatibility'.

I have platform target set to 'X86', output type 'INT/GNT' and compile for debugging.

So wanted to check if this is possible as I am pretty sure I have run .int files on a older product runtime and a earlier version of VC previously.

Any help would be much appreciated.

Thanks.

Parents
  • Why do you want to mix Netexpress 5.x and Visual Cobol 7.0 modules? Is there a reason we ignore?

    I think this will not be possible, you can compile separate your projects and run with there one runtime modules, but not mixing.

    Between Netexpress 5.x and Visual Cobol 7.x there is a long time!

    But many customers wanted a netexpress 7 with the same modules as Visual Cobol 7.0

    Thanks for a explanation why you try this!

Reply
  • Why do you want to mix Netexpress 5.x and Visual Cobol 7.0 modules? Is there a reason we ignore?

    I think this will not be possible, you can compile separate your projects and run with there one runtime modules, but not mixing.

    Between Netexpress 5.x and Visual Cobol 7.x there is a long time!

    But many customers wanted a netexpress 7 with the same modules as Visual Cobol 7.0

    Thanks for a explanation why you try this!

Children
  • Hi Again,

    As a development team we want to use the latest ide and unit test frameworks etc. Also we have .Net code within the application so would benefit from upgrading to VC.

    However we still need to support our customers with hotfixes etc. and this means providing modules that run on previous runtime as we cannot expect them all to upgrade for our benefit.

  • Sorry, but there is no backward compatibility between the Visual COBOL and Net Express products. You must recompile all of your applications with Visual COBOL and run them under a Visual COBOL run-time-system that is at the same or later version level as the Visual COBOL compiler version with which it is compiled.

    For example: You could run an application compiled with VC 5.0 under COBOL Server 6.0 but not under COBOL Server 4.0. Although this might work in some cases it is not supported.